~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

TOMOYO Linux Cross Reference
Linux/tools/testing/selftests/net/run_afpackettests

Version: ~ [ linux-6.12-rc7 ] ~ [ linux-6.11.7 ] ~ [ linux-6.10.14 ] ~ [ linux-6.9.12 ] ~ [ linux-6.8.12 ] ~ [ linux-6.7.12 ] ~ [ linux-6.6.60 ] ~ [ linux-6.5.13 ] ~ [ linux-6.4.16 ] ~ [ linux-6.3.13 ] ~ [ linux-6.2.16 ] ~ [ linux-6.1.116 ] ~ [ linux-6.0.19 ] ~ [ linux-5.19.17 ] ~ [ linux-5.18.19 ] ~ [ linux-5.17.15 ] ~ [ linux-5.16.20 ] ~ [ linux-5.15.171 ] ~ [ linux-5.14.21 ] ~ [ linux-5.13.19 ] ~ [ linux-5.12.19 ] ~ [ linux-5.11.22 ] ~ [ linux-5.10.229 ] ~ [ linux-5.9.16 ] ~ [ linux-5.8.18 ] ~ [ linux-5.7.19 ] ~ [ linux-5.6.19 ] ~ [ linux-5.5.19 ] ~ [ linux-5.4.285 ] ~ [ linux-5.3.18 ] ~ [ linux-5.2.21 ] ~ [ linux-5.1.21 ] ~ [ linux-5.0.21 ] ~ [ linux-4.20.17 ] ~ [ linux-4.19.323 ] ~ [ linux-4.18.20 ] ~ [ linux-4.17.19 ] ~ [ linux-4.16.18 ] ~ [ linux-4.15.18 ] ~ [ linux-4.14.336 ] ~ [ linux-4.13.16 ] ~ [ linux-4.12.14 ] ~ [ linux-4.11.12 ] ~ [ linux-4.10.17 ] ~ [ linux-4.9.337 ] ~ [ linux-4.4.302 ] ~ [ linux-3.10.108 ] ~ [ linux-2.6.32.71 ] ~ [ linux-2.6.0 ] ~ [ linux-2.4.37.11 ] ~ [ unix-v6-master ] ~ [ ccs-tools-1.8.12 ] ~ [ policy-sample ] ~
Architecture: ~ [ i386 ] ~ [ alpha ] ~ [ m68k ] ~ [ mips ] ~ [ ppc ] ~ [ sparc ] ~ [ sparc64 ] ~

  1 #!/bin/sh
  2 # SPDX-License-Identifier: GPL-2.0
  3 
  4 # Kselftest framework requirement - SKIP code is 4.
  5 ksft_skip=4
  6 
  7 if [ $(id -u) != 0 ]; then
  8         echo $msg must be run as root >&2
  9         exit $ksft_skip
 10 fi
 11 
 12 ret=0
 13 echo "--------------------"
 14 echo "running psock_fanout test"
 15 echo "--------------------"
 16 ./in_netns.sh ./psock_fanout
 17 if [ $? -ne 0 ]; then
 18         echo "[FAIL]"
 19         ret=1
 20 else
 21         echo "[PASS]"
 22 fi
 23 
 24 echo "--------------------"
 25 echo "running psock_tpacket test"
 26 echo "--------------------"
 27 if [ -f /proc/kallsyms ]; then
 28         ./in_netns.sh ./psock_tpacket
 29         if [ $? -ne 0 ]; then
 30                 echo "[FAIL]"
 31                 ret=1
 32         else
 33                 echo "[PASS]"
 34         fi
 35 else
 36         echo "[SKIP] CONFIG_KALLSYMS not enabled"
 37 fi
 38 
 39 echo "--------------------"
 40 echo "running txring_overwrite test"
 41 echo "--------------------"
 42 ./in_netns.sh ./txring_overwrite
 43 if [ $? -ne 0 ]; then
 44         echo "[FAIL]"
 45         ret=1
 46 else
 47         echo "[PASS]"
 48 fi
 49 exit $ret

~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

kernel.org | git.kernel.org | LWN.net | Project Home | SVN repository | Mail admin

Linux® is a registered trademark of Linus Torvalds in the United States and other countries.
TOMOYO® is a registered trademark of NTT DATA CORPORATION.

sflogo.php